Vision
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
POST | |
GET |
Create vision scanners suggest tags
Suggest classifier tags grounded in the scanner's own observations and the org's product data.
Required API key scopes
replay_scanner:readsession_recording:readRequest parameters
- promptstring
- tagsarray
- multi_labelbooleanDefault:
true - allow_freeform_tagsbooleanDefault:
false - scanner_idstring | null
Response
Example request
POST /api /projects /:project_id /vision /scanners /suggest_tagsExample response
Status 200
RESPONSE
Status 503 Tag suggestions couldn't be generated.
RESPONSE
Retrieve vision scanners watch feed
Succeeded observations in the window worth watching, ranked — feeds the What to watch tab.
Required API key scopes
replay_scanner:readsession_recording:readQuery parameters
- date_fromstringDefault:
-7d - date_tostring
- limitintegerDefault:
20 - scanner_idsstring
- scanner_typestringOne of:
"monitor""classifier""scorer""summarizer""experiment" - searchstring
- tagsstring
Response
Example request
GET /api /projects /:project_id /vision /scanners /watch_feedExample response
Status 200
RESPONSE